## rock-master-20.01-drivers-orogen-camera-firewire 0.20180725

=== tasks/CMakeLists.txt ===
include(camera_firewireTaskLib)

pkg_check_modules(SAMPLE_AGGREGATOR REQUIRED aggregator)
include_directories(${SAMPLE_AGGREGATOR_INCLUDE_DIRS})
link_directories(${SAMPLE_AGGREGATOR_LIBRARY_DIRS})


ADD_LIBRARY(${CAMERA_FIREWIRE_TASKLIB_NAME} SHARED 
    ${CAMERA_FIREWIRE_TASKLIB_SOURCES})

add_dependencies(${CAMERA_FIREWIRE_TASKLIB_NAME}
    regen-toolkit)


TARGET_LINK_LIBRARIES(${CAMERA_FIREWIRE_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${CAMERA_FIREWIRE_TASKLIB_DEPENDENT_LIBRARIES}
    ${SAMPLE_AGGREGATOR_LIBRARIES})
SET_TARGET_PROPERTIES(${CAMERA_FIREWIRE_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${CAMERA_FIREWIRE_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${CAMERA_FIREWIRE_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${CAMERA_FIREWIRE_TASKLIB_HEADERS}
    DESTINATION include/orocos/camera_firewire)

=== debian/changelog ===
rock-master-20.01-drivers-orogen-camera-firewire (0.20180725-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-drivers/drivers-orogen-camera_firewire.git
  * branch: refs/heads/master
  * commit: 71a4a84a9a4ef2ee094ef489c41276e4874ca904
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 09:37:32 +0100

=== debian/control ===
Source: rock-master-20.01-drivers-orogen-camera-firewire
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopencv-dev, rock-master-20.01-base-orogen-std, rock-master-20.01-base-types, rock-master-20.01-drivers-aggregator, rock-master-20.01-drivers-camera-firewire, rock-master-20.01-drivers-orogen-aggregator, rock-master-20.01-drivers-orogen-camera-base, rock-master-20.01-ruby-orogen, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-drivers-orogen-camera-firewire
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-orogen-std, rock-master-20.01-base-types, rock-master-20.01-drivers-aggregator, rock-master-20.01-drivers-camera-firewire, rock-master-20.01-drivers-orogen-aggregator, rock-master-20.01-drivers-orogen-camera-base, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery, libopencv-dev
Description: orocos deployment which imports camera frames from a firewire camera and displays them
 orocos deployment which imports camera frames from a firewire camera and displays them
